<ul :class="['dropdown-menu', 'dropdown-menu-' + direction]">
  <li :class="wsClass">
    <a v-if="wsData.current" @click.stop>
      <i :class="wsStateIcon | iconPrefix"></i>
      <i>WS: </i>
      <span>{{wsData.workspaces[wsData.current].serverConfig.name}}</span>
    </a>
    <a v-else @click.stop>
      <i class="fa fa-server"></i>
      <i>Workspaces</i>
    </a>
    <ul class="dropdown-menu">
      <ws-menu-item
        v-for="ws in wsData.workspaces | orderBy 'id'"
        :data="ws"
        :current="ws.id == wsData.current"
        v-ref:workspaces
        ></ws-menu-item>
      <menu-item v-for="item in wsExtra | orderBy 'position'" :data="item" v-ref:ws-extra></menu-item>
    </ul>
  </li>
  <main-menu-item v-for="item in items | orderBy 'position'" :data="item" v-ref:items></main-menu-item>
</ul>
